<?php

/*
*	Copyright VeryIDE,2007-2010
*	http://www.veryide.com/
*
*	$Id: version.php,v2 11:46 2009-9-10 Lay $
*/

error_reporting(E_ERROR | E_WARNING | E_PARSE);

//会话ID，不能正常会话时使用
//session_id(SID);

//开启会话
session_start();

//开启缓冲
ob_start();

//全局变量
$_G	= array();

//系统用户信息
//******************************

	$_G['manager'] = isset($_SESSION['Manager']) ? $_SESSION['Manager'] : array();

//系统会员信息
//******************************

	$_G['member'] = isset($_SESSION['Member']) ? $_SESSION['Member'] : array();

//VeryIDE 产品配置
//************************************

	$_G['product'] = array();
	
		//产品名称
		$_G['product']['appname']	= 'Bee';
	
		//产品版本号
		$_G['product']['version']	= '1.5';
		
		//产品流水号
		$_G['product']['build']		= 20120930;
	
		//VeryIDE 编码（可选 gbk utf-8
		$_G['product']['charset']	= "utf-8";
		

//VeryIDE 系统配置
//************************************

	$_G['system'] = array();
	
		//相对地址
		$_G['system']['base']	= VI_BASE;
	
		//绝对地址
		$_G['system']['host']	= VI_HOST;
		
		//本地地址
		$_G['system']['root']	= VI_ROOT;

	$_G['project'] = array();
	
		//心跳频率（秒）
		$_G['project']['heartbeat']	=60;
	
		//站点主域名，自动获取值，不用设置
		$_G['project']["domain"]	= $_SERVER["HTTP_HOST"];

		//缓存目录
		$_G['project']['cache']	="cache/";
	
		//模块目录
		$_G['project']['module']	="module/";
	
		//图片目录
		$_G['project']['image']	="image/";
	
		//附件目录
		$_G['project']['upload']	="attach/";
		
		//数据库查询次数
		$_G['project']['queries']	= 0 ;
		
		//需要检查目录权限的目录
		$_G['project']['check']	= array( "attach/", "cache/", "config/", "static/", "data/install/", "data/update/", "data/backup/", "data/fixbug/" );
	
		//附件位置
		$_G['project']['attach']	= array("本地","远程");
		
		//对象归属
		$_G['project']['object'] 	= array("sys"=>"系统","mod"=>"模块","diy"=>"自定义");
		
		//VeryIDE 支持中心
		$_G['project']['home']="http://www.veryide.com/";
		
		//Power By
		$_G['project']['powered'] = 'Powered by <a href="'.$_G['project']['home'].'?source='.$_G['product']['appname'].'" target="_blank" title="Powered by VeryIDE">VeryIDE</a>';
	
		//FAQ 链接
		$_G['project']['faq'] = '<a href="'.$_G['project']['home'].'guide.php?product='.$_G['product']['appname'].'&version='.$_G['product']['version'].'" target="_blank">FAQ</a>';
	
		//VeryIDE 产品全称
		$_G['project']['product']='VeryIDE '.$_G['product']['appname'].' '.$_G['product']['version'].' ( '.strtoupper($_G['product']['charset']).' )';
	
		//VeryIDE Email
		$_G['project']["email"] = "veryide@qq.com";
		
		//数据统计
		$_G['project']['stat'] = array( "{TableManPre}attach"=>"上传文件","{TableManPre}event"=>"系统日志","{TableManPre}admin"=>"系统用户","{TableManPre}group"=>"用户分组" );

		//性别信息
		$_G['project']['sex'] = array("女士","男士");

		//婚姻状态
		$_G['project']['marriage'] = array("未婚","已婚");

		//周数组
		$_G['project']['weeks'] = array("星期日","星期一","星期二","星期三","星期四","星期五","星期六");
	
		//月数组
		$_G['project']['months'] = array("一月","二月","三月","四月","五月","六月","七月","八月","九月","十月","十一月","十二月");
	
		//天数组
		$_G['project']['days'] = array(0,31,28,31,30,31,30,31,31,30,31,30,31);
	
		//数据状态
		$_G['project']['state'] = array(-1=>'<span class="text-no">未审核</span>',0=>'<span class="text-no">禁用</span>',1=>'<span class="text-yes">启用</span>',2=>'<span class="text-key">推荐</span>');
		
		//权限配置		
		/*
		命名规则：模块名称+操作名称(3位)
		*/
		$_G['project']['func'] = array(
						   "用户管理" => array("admin-add"=>"添加用户","admin-del"=>"删除用户","admin-mod"=>"修改用户","admin-pwd"=>"修改密码","admin-pwd"=>"更改权限","admin-dld"=>"下载通讯录"),
						   "个人资料" => array("account-mod"=>"修改资料","account-pwd"=>"修改密码","account-gid"=>"更改权限"),
						   "用户分组" => array("group-add"=>"添加分组","group-del"=>"删除分组","group-mod"=>"修改分组"),
						   "文件管理" => array("upload-add"=>"上传文件","upload-del"=>"删除文件","upload-pcs"=>"处理文件","upload-bak"=>"最近文件"),
						   "菜单管理" => array("menu-add"=>"添加菜单","menu-del"=>"删除菜单","menu-mod"=>"修改菜单"),
						   "系统更新" => array("update-add"=>"安装更新","update-del"=>"删除更新","update-sql"=>"执行更新语句"),
						   "数据备份" => array("backup-add"=>"创建备份","backup-del"=>"删除备份","backup-exe"=>"恢复备份数据","backup-dow"=>"下载备份数据"),
						   "系统模块" => array("module-add"=>"安装模块","module-del"=>"模块卸载","module-ena"=>"启用模块","module-dis"=>"禁用模块","module-cfg"=>"配置模块"),
						   "系统功能" => array("system-cache"=>"缓存清理","system-recycle"=>"直接删除","system-logs"=>"检索用户日志"),
						   "配置管理" => array("setting-system"=>"配置系统","setting-module"=>"配置模块","setting-service"=>"配置服务")
						 );
		
		//页面权限
		$_G['project']['page'] = array(
								"system.menu.php"=>"系统菜单",
								"system.module.php"=>"系统模块",
								"system.optimalize.php"=>"系统优化",
								"system.secure.php"=>"系统安全",
								"system.server.php"=>"系统信息",
								"serve.setting.php"=>"系统设置",
								"data.update.php"=>"系统更新",
								"data.tables.php"=>"数据结构",
								"serve.search.php"=>"搜索引擎",
								"admin.event.php"=>"系统日志",
								"data.attach.php"=>"文件管理",
								"group.edit.php"=>"编辑分组",
								"group.list.php"=>"分组列表",
								"admin.edit.php"=>"编辑用户",
								"admin.list.php"=>"用户列表"
								);
		
		//推荐链接
		$_G['project']['menu'] = array(
								"http://www.veryide.com/"=>"VeryIDE - 官方帮助支持中心",
								"http://www.veryide.com/service.php"=>"VeryIDE - 终端媒体广告投放",
								"http://www.ky6.com/"=>"酷游乐网 - 免费领取新手卡啦",
								"http://www.veryide.com/vps.php"=>"值得信赖的专业 VPS 提供商"
								);


//系统版本配置
//******************************

	$_G['version'] = array();

		//演示版
		$_G['version']['demo'] = array('name'=>'演示版','desc'=>'提供主要功能使用，主要用于本地测试。');
		
		//免费版
		$_G['version']['free'] = array('name'=>'免费版','desc'=>'拥有基本核心功能，免费提供给大家使用。');
		
		//商业版
		$_G['version']['full'] = array('name'=>'商业版','desc'=>'商业授权增强版，需要付费购买后才能使用。');					
		
		//特别版
		$_G['version']['only'] = array('name'=>'特别版','desc'=>'在商业版基础上定制了部分功能，需要付费。');					
		

//上传文件类型
//******************************

	$_G['upload'] = array();
		$_G['upload']['image'] = array('jpg','jpeg','gif','png','bmp');
		$_G['upload']['media'] = array('mpg','mpeg','dat','avi','mp3','mp4','rm','rmvb','wmv','asf','vob','wma','wav','mid','mov','qt','3gp');
		$_G['upload']['flash'] = array('swf','flv','f4v');
		$_G['upload']['files'] = array('pdf','txt','zip','apk','gz','rar','tar','7z','iso','doc','docx','xls','xlsx','ppt','pps','pptx','csv','wps','torrent','fla');


//输出头文件
//******************************
header('Content-Type:text/html; charset='.$_G['product']['charset']);

?>